Browse Source

Fix test suite

It failed to consider that the tests run outside of dom0.
Demi Marie Obenour 3 years ago
parent
commit
76cd08af00
2 changed files with 12 additions and 6 deletions
  1. 9 5
      qubes/tests/vm/dispvm.py
  2. 3 1
      run-tests

+ 9 - 5
qubes/tests/vm/dispvm.py

@@ -116,12 +116,16 @@ class TC_00_DispVM(qubes.tests.QubesTestCase):
             dispvm = self.app.add_new_vm(qubes.vm.dispvm.DispVM,
                 name='test-dispvm', template=self.appvm)
 
-            with self.assertRaises(qubes.exc.QubesVMNotHaltedError):
-                dispvm.template = self.appvm
-            with self.assertRaises(qubes.exc.QubesVMNotHaltedError):
+            dispvm.template = self.appvm
+            dispvm.start()
+            if not self.app.vmm.offline_mode:
+                assert not dispvm.is_halted()
+                with self.assertRaises(qubes.exc.QubesVMNotHaltedError):
+                    dispvm.template = self.appvm
+            with self.assertRaises(qubes.exc.QubesValueError):
                 dispvm.template = qubes.property.DEFAULT
             dispvm.kill()
-            dispvm.template = qubes.property.DEFAULT
+            dispvm.template = self.appvm
 
     def test_003_dvmtemplate_template_change(self):
         self.appvm.template_for_dispvms = True
@@ -137,7 +141,7 @@ class TC_00_DispVM(qubes.tests.QubesTestCase):
             self.dispvm = self.app.add_new_vm(qubes.vm.dispvm.DispVM,
                 name='test-dispvm', template=self.appvm)
 
-            with self.assertRaises(qubes.exc.QubesVMInUseError):
+            with self.assertRaises(qubes.exc.QubesVMNotHaltedError):
                 self.appvm.template = self.template
             with self.assertRaises(qubes.exc.QubesValueError):
                 self.appvm.template = qubes.property.DEFAULT

+ 3 - 1
run-tests

@@ -1,5 +1,7 @@
-#!/bin/sh
+#!/bin/sh --
 
+set -eu
+sudo dnf -y install lvm2 python3-inotify python3-sphinx python3-docutils python3-PyYAML python3-jinja2 python3-lxml python3-pylint python3-coverage
 CLEANUP_LVM=
 if sudo --non-interactive $(dirname "$0")/ci/lvm-manage setup-lvm vg$$/pool; then
     export DEFAULT_LVM_POOL=vg$$/pool